gsmd: Simplify killing of the children

Kill the entire process group by sending it to pid 0. Found while
searching for better exec examples.
diff --git a/recipes-openmoko/openmoko-gsmd/files/gsmd-respawn.sh b/recipes-openmoko/openmoko-gsmd/files/gsmd-respawn.sh
index 3714d2e..b1fe134 100644
--- a/recipes-openmoko/openmoko-gsmd/files/gsmd-respawn.sh
+++ b/recipes-openmoko/openmoko-gsmd/files/gsmd-respawn.sh
@@ -5,7 +5,7 @@
 PID=$$
 echo "$PID" > $PIDFILE
 
-trap "{ rm -f $PIDFILE ; killall -9 $NAME; }" EXIT
+trap "{ rm -f $PIDFILE ; kill 0; }" EXIT
 
 while true;
 do